// created  : Wed Mar 06 00:50:01 2002
// argument : tajarmis
// source   : override\tajarmis.DLG
// game     : .
// using    : ./Dialog.TLK
// tajarmis : 5 states, 5 trans, 1 state-trigs, 0 trans-trigs, 2 actions

BEGIN takomt

IF ~Global("TashiaPlot","GLOBAL",6)~ THEN BEGIN 0
  SAY ~Haw haw!! Ho, stranger. Ye best be movin' along, nae ta see 'ere.~
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",7)~ REPLY ~Of course... I didn't mean to intrude. Carry on.~ GOTO 1
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",7)~ REPLY ~What do you think you're doing?~ GOTO 8
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",7)~ REPLY ~Give the girl back her blanket and let her go, dwarf!~ GOTO 5
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",7)~ REPLY ~(*sigh* Dwarves stealing blankets from little girls. How tragic. Well, I suppose I might as well play along.) What is this? Bottom-feeding scumbags! Unhand the girl and return her blanket, or prepare for death's cold embrace!~ GOTO 6
END

IF ~~ THEN BEGIN 6
  SAY ~Wo-hold! Nae need ta make anything hasty! We let the lassie go, and give her back her blanket, aye? We be leavin' now... 'twas a pleasure meeting ye.~
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",9)
                   ActionOverride("takomt",EscapeArea())
                   ActionOverride("tatump",EscapeArea())
                   ActionOverride("tagirl",EscapeArea())~ EXIT
END

IF ~~ THEN BEGIN 7
  SAY ~Aye, that be jus' fine. Yer free, lassie, and 'eres yer blanket. 'Twas a pleasure meeting ye gentlemen. We be leavin' now.~
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",8)
                   TakePartyGold(200)
                   ActionOverride("takomt",EscapeArea())
                   ActionOverride("tatump",EscapeArea())
                   ActionOverride("tagirl",EscapeArea())~ EXIT
END

IF ~~ THEN BEGIN 8
  SAY ~What we be doin' is nae yer concern, stranger. 'Tis business, ye understand. Let's move along 'fore we do something both of us mie regret, aye?~
    IF ~~ THEN REPLY ~Of course... I didn't mean to intrude. Carry on.~ GOTO 1
    IF ~~ THEN REPLY ~Give her back her blanket and let her go, brute!~ GOTO 5
END

APPEND takomt
IF ~~ THEN BEGIN 1
  SAY ~Aye. Now where were we, lassie?...~
  IF ~~ THEN EXTERN tashiaj c2
END
END

APPEND takomt
IF ~~ THEN BEGIN 5
  SAY ~Ho-haw. Tump leave the lassie alone fer now, aye? So, stranger, say, what mae ye think we do what ye say, arr?~
  IF ~~ THEN REPLY ~Because if you don't, I will personally break every bone in your pathetic little body!~ GOTO 6
  IF ~PartyGoldGT(199)~ THEN REPLY ~Because I will give both you and the girl 100 gold each. That should buy you a very nice beard blanket, and allow the girl to purchase medicine for her mother.~ GOTO 7
  IF ~~ THEN REPLY ~Hmm. I wonder what guards would say to that... Oh, I know, let's ask them! GUARDS!!~ GOTO 6
END
END

APPEND tashiaj
IF ~~ THEN BEGIN c2 // from:
  SAY ~You... you can't be serious, right? You would just allow this injustice to continue?~ /* #74553 */
  IF ~InParty("Aerie")
        !Dead("Aerie")
        See("Aerie")~ THEN EXTERN aeriej c3
  IF ~OR(3)
        !InParty("Aerie")
        Dead("Aerie")
        !See("Aerie")~ THEN REPLY ~What? I see nothing wrong here.~ /* #74554 */ EXTERN tashiaj c4
  IF ~OR(3)
        !InParty("Aerie")
        Dead("Aerie")
        !See("Aerie")~ THEN REPLY ~Of course I'm not serious. I was just waiting for the right time. Hey, you! Give that girl back her blanket and let her go!~ /* #74555 */ EXTERN takomt 5
END
END


APPEND aeriej
  IF ~~ THEN BEGIN c3
    SAY ~Y-You would not do such a...vile thing, would you, <CHARNAME>?~
    IF ~~ THEN REPLY ~What? I see nothing wrong here.~ EXTERN tashiaj c4
    IF ~~ THEN REPLY ~Of course I'm not serious. I was just waiting for the right time. Hey, you! Give that girl back her blanket and let her go!~ EXTERN takomt 5
  END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c4
    SAY ~What!? *Nothing* wrong with a pair of filthy dwarves harassing a little girl in the middle of the street!? I truly thought I knew you better than that, <CHARNAME>, yet I seem to have been proven wrong. I wish no part of your company. If we ever meet again, it will be as enemies.~
    IF ~~ THEN DO ~SetGlobal("TashiaRomanceActive","GLOBAL",3)
                   ActionOverride("tashia",LeaveParty())
                   ActionOverride("tashia",EscapeArea())
                   ActionOverride("takomt",EscapeArea())
                   ActionOverride("tatump",EscapeArea())
                   SetGlobal("tagirlThanks","GLOBAL",1)
                   ActionOverride("tagirl",EscapeArea())~ EXIT
  END
END

